html {
    scroll-behavior: smooth;
}

.floating-whatsapp{
    position: fixed;
    right: 25px;
    bottom: 25px;
    background: #25D366;
    color: #fff !important;
    text-decoration: none;
    display: flex;
    align-items: center;
    gap: 10px;
    padding: 14px 18px;
    border-radius: 50px;
    font-family: Arial, sans-serif;
    font-size: 15px;
    font-weight: 500;
    box-shadow: 0 10px 30px rgba(37,211,102,0.35);
    z-index: 9999;
    transition: all .3s ease;
    animation: whatsappPulse 2s infinite;
}

.floating-whatsapp:hover{
    transform: translateY(-4px);
    background: #1ebe5d;
	color:#fff !important;
}

@keyframes whatsappPulse{
    0%{
        box-shadow: 0 0 0 0 rgba(37,211,102,.7);
    }
    70%{
        box-shadow: 0 0 0 15px rgba(37,211,102,0);
    }
    100%{
        box-shadow: 0 0 0 0 rgba(37,211,102,0);
    }
}
.floating-whatsapp:hover span{
	color:#fff !important;
	font-weight:500;
}

@media(max-width:768px){
    .floating-whatsapp{
        right: 15px;
        bottom: 15px;
        padding: 12px;
        border-radius: 50%;
    }

    .floating-whatsapp span{
        display: none;
    }
}

.site-branding.ast-site-identity{
    padding: 0;
  padding-top: 4px;
  padding-bottom: 4px;
}
.top-bar {
    background: #fff;
    font-family: 'Poppins', sans-serif;
}

.top-bar .container {
    display: flex;
    align-items: center;
    gap: 20px;
    flex-wrap: wrap;
}

.contact-item {
    display: flex;
    align-items: center;
    gap: 10px;
    color: #222;
    font-size: 15px;
    font-weight: 500;
}

.contact-item i {
    width: 28px;
    height: 28px;
    background: rgb(2 141 255 / 37%);
    color: #028DFF;
    border-radius: 20%;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 14px;
}

.contact-item a {
    color: #222;
    text-decoration: none;
    transition: all 0.3s ease;
}

.contact-item a:hover {
    color: #028DFF;
}

.divider {
    width: 1px;
    height: 22px;
    background: #ddd;
}

@media(max-width:768px) {
    .top-bar .container {
        flex-direction: column;
        align-items: flex-start;
        gap: 12px;
    }

    .divider {
        display: none;
    }
}

.abs-contact-item {
    display: flex;
    align-items: flex-start;
    gap: 14px;
    margin-bottom: 10px;
}

.abs-contact-item:last-child {
    margin-bottom: 0;
}

.abs-contact-item i {
    color: #fff;
    font-size: 16px;
    width: 20px;
    flex-shrink: 0;
    margin-top: 5px;
}

.abs-contact-text {
    color: #fff;
    font-size: 16px;
    line-height: 1.6;
    font-weight: 400;
}

.abs-title {
    color: #ff2d2d;
    font-weight: 700;
}

.abs-contact-text a {
    color: #fff;
    text-decoration: none;
    transition: color 0.3s ease;
}

.abs-contact-text a:hover {
    color: #028dff;
}

/* Tablet */
@media (max-width: 768px) {
    .abs-contact-text {
        font-size: 16px;
    }
}

/* Mobile */
@media (max-width: 480px) {
    .abs-contact-info {
        padding: 15px;
    }

    .abs-contact-item {
        gap: 10px;
        margin-bottom: 15px;
    }

    .abs-contact-item i {
        font-size: 16px;
        width: 18px;
    }

    .abs-contact-text {
        font-size: 14px;
        line-height: 1.5;
    }
}
.footer-widget-area ul li{
    margin-bottom: 8px;
}

.site-header.sticky .site-primary-header-wrap.ast-builder-grid-row-container.site-header-focus-item.ast-container{
    position: fixed;
    width: 100%;
    backdrop-filter: blur(90px);
    animation: slideDown 0.35s ease-in-out;
    background: linear-gradient(304deg, #f7f7f747, #d3d3d39e);
    transition: backdrop-filter .3s;
    backdrop-filter: blur(90px);
    will-change: transform;
    transform: translate3d(0, 0, 0) scale3d(1, 1, 1) rotateX(0) rotateY(0) rotateZ(0) skew(0deg, 0deg);
    transform-style: preserve-3d;
    border-radius: 10px !important;
    top: 5%;
    right: 0;
    left: 0;
}
.backdrop{
    backdrop-filter: blur(80px);
}
.cstm-card .elementor-image-box-content{
    padding: 14px;
    padding-top: 0px;
}
.white-svg svg path{
    fill: #fff !important;
}

.ast-custom-button-link{
    display: inline-block;
    transition:all .35s ease;
}
.ast-custom-button-link:hover{
    transform:translateY(-6px);
    box-shadow:0 10px 50px rgb(160 160 161 / 25%);
}
input.wpcf7-form-control.wpcf7-submit.has-spinner{
        padding: 6px 28px;
}
.cst-container .e-con-inner{
    border-radius: 10px;
    background: #f9f9f961;
    box-shadow: -6px 5px 19px 9px rgba(229,229,229,0.48);
-webkit-box-shadow: -6px 5px 19px 9px rgba(229,229,229,0.48);
-moz-box-shadow: -6px 5px 19px 9px rgba(229,229,229,0.48);
}

.nav-text-mask {
    position: relative;
    overflow: hidden;
    display: inline-block;
    height: auto;
}

.nav-text-mask .abs-text-main,
.nav-text-mask .abs-text-hover {
    display: block;
    transition: transform 1.1s cubic-bezier(.22, 1, .36, 1),
                opacity 1.1s cubic-bezier(.22, 1, .36, 1);
}

.menu-item:hover .nav-text-mask .abs-text-hover,
.nav-text-mask .abs-text-main {
    transform: translateY(0) skewY(0);
    opacity: 1;
}

.nav-text-mask .abs-text-hover {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    transform: translateY(100%) skewY(8deg);
    opacity: 0;
}

.menu-item:hover .nav-text-mask .abs-text-main {
    transform: translateY(-100%) skewY(8deg);
    opacity: 0;
}

.abs-product-container{
    display:grid;
    grid-template-columns:repeat(3, 1fr);
    gap:30px;
}

.abs-product-card{
    background:#fff;
    border-radius:12px;
    overflow:hidden;
    box-shadow:0 4px 15px rgba(0,0,0,0.08);
    transition:all .3s ease;
    cursor: pointer;
}

.abs-product-card:hover{
    transform:translateY(-5px);
}

.abs-product-image img{
    width:100%;
    height:250px;
    object-fit:cover;
    display:block;
}

.abs-product-content{
    padding:20px;
}

.abs-product-title{
    margin:0 0 10px;
    font-size:22px;
    font-weight:600;
}

.abs-product-description{
    font-size:14px;
    line-height:1.6;
}

@media (max-width: 1024px){
    .abs-product-container{
        grid-template-columns:repeat(2, 1fr);
    }
}

@media (max-width: 767px){
    .abs-product-container{
        grid-template-columns:1fr;
    }

    .abs-product-image img{
        height:220px;
    }
}